#!/usr/bin/env python

# arg #1 - src folder
# arg #2 - dst folder

import re, sys, os

def enumerate_plists_in_file(name, dst_folder):
    fl = open(name, "r")
    plists = "\n".join(list(set(re.findall("\w+\.plist", fl.read()))))
    fl.close()

    result = open(re.sub(".*?(\w+)\.\w+$", dst_folder + "/\g<1>_plists.txt", name), "w+")
    result.write(plists)
    result.close()

def enumerate_plists_in_folder(src_folder, dst_folder):
    for root, _, files in os.walk(src_folder):
        files = [os.path.join(root, f) for f in files if f != ".DS_Store" and f != "enumerate_plists_in_folder.py"]
        files = [f for f in files if "/.hg/" not in f and "/.git/" not in f]

        for fname in files:
            enumerate_plists_in_file(fname, dst_folder)


if __name__ == "__main__":
    enumerate_plists_in_folder(sys.argv[1], sys.argv[2])
